Summary: Network monitoring tools
Name: iputils
Version: s20121221
Release: r0.0
License: BSD & GPLv2+
Group: console/network
Packager: Wind River <info@windriver.com>
URL: http://www.skbuff.net/iputils
BuildRequires: virtual/update-alternatives
BuildRequires: sgmlspl-native
BuildRequires: libcap
BuildRequires: virtual/libc
BuildRequires: gnutls
BuildRequires: docbook-utils-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: iputils-ping6
Requires: iputils-traceroute6
Requires: iputils-tracepath6
Requires: iputils-tracepath
Requires: iputils-arping
Requires: iputils-ping

%description
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-dbg
Summary: Network monitoring tools - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: gnutls-openssl-dbg
Suggests: libcap-dbg
Recommends: iputils = s20121221-r0.0

%description -n iputils-dbg
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n iputils-staticdev
Summary: Network monitoring tools - Development files (Static Libraries)
Group: devel
Requires: iputils-dev = s20121221-r0.0

%description -n iputils-staticdev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains static libraries
for software development.

%package -n iputils-dev
Summary: Network monitoring tools - Development files
Group: devel
Requires: iputils = s20121221-r0.0
Suggests: iputils-tracepath-dev
Suggests: iputils-ping-dev
Suggests: gnutls-openssl-dev
Suggests: iputils-traceroute6-dev
Suggests: libcap-dev
Suggests: libc6-dev
Suggests: update-alternatives-opkg-dev
Suggests: iputils-tracepath6-dev
Suggests: libgnutls-dev
Suggests: iputils-ping6-dev
Suggests: iputils-arping-dev

%description -n iputils-dev
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n iputils-doc
Summary: Network monitoring tools - Documentation files
Group: doc

%description -n iputils-doc
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.  This package contains documentation.

%package -n iputils-locale
Summary: Network monitoring tools
Group: console/network

%description -n iputils-locale
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: update-alternatives-opkg
Requires: libcap.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libcap2 >= 2.22
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): update-alternatives-opkg
Requires(post): libcap.so.2()(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libcap2 >= 2.22
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): update-alternatives-opkg
Requires(postun): libcap.so.2()(64bit)
Provides: /bin/ping
Provides: elf(buildid) = 3f64460b5263ad021b9dec11313a494f2eeb37ef

%description -n iputils-ping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-ping6
Summary: Network monitoring tools
Group: console/network
Requires: libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libresolv.so.2()(64bit)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: rtld(GNU_HASH)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: update-alternatives-opkg
Requires: libgnutls-openssl.so.27()(64bit)
Requires: libcap.so.2()(64bit)
Requires: libgnutls-openssl27 >= 3.3.5
Requires(post): libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libresolv.so.2()(64bit)
Requires(post): libcap2 >= 2.22
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): update-alternatives-opkg
Requires(post): libgnutls-openssl.so.27()(64bit)
Requires(post): libcap.so.2()(64bit)
Requires(post): libgnutls-openssl27 >= 3.3.5
Requires(postun): libresolv.so.2(GLIBC_2.2.5)(64bit)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libresolv.so.2()(64bit)
Requires(postun): libcap2 >= 2.22
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): update-alternatives-opkg
Requires(postun): libgnutls-openssl.so.27()(64bit)
Requires(postun): libcap.so.2()(64bit)
Requires(postun): libgnutls-openssl27 >= 3.3.5
Provides: /usr/bin/ping6
Provides: elf(buildid) = 87aeba6572511f10de88f2cbfb23ac272c52c7d8

%description -n iputils-ping6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-arping
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: update-alternatives-opkg
Requires: libcap.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libcap2 >= 2.22
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): update-alternatives-opkg
Requires(post): libcap.so.2()(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libc.so.6(GLIBC_2.3)(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): libcap2 >= 2.22
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): update-alternatives-opkg
Requires(postun): libcap.so.2()(64bit)
Provides: elf(buildid) = e82fec18b6f8a931f7bfe14c8484d1def0d73cda
Provides: /usr/sbin/arping

%description -n iputils-arping
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Provides: elf(buildid) = 51f806aa14ff0e7eb2ee52ddf8fd20e587798f5c

%description -n iputils-tracepath
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-tracepath6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Provides: elf(buildid) = 36996a0dcbef291bf568f4ee5110d5256ca9eb27

%description -n iputils-tracepath6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%package -n iputils-traceroute6
Summary: Network monitoring tools
Group: console/network
Requires: rtld(GNU_HASH)
Requires: libcap2 >= 2.22
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: update-alternatives-opkg
Requires: libcap.so.2()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libcap2 >= 2.22
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): update-alternatives-opkg
Requires(post): libcap.so.2()(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libcap2 >= 2.22
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): libc6 >= 2.20+sdkwrl7+27
Requires(postun): update-alternatives-opkg
Requires(postun): libcap.so.2()(64bit)
Provides: /usr/bin/traceroute6
Provides: elf(buildid) = e78405778629a28d67661699e6f1bb9d874d008a

%description -n iputils-traceroute6
Utilities for the IP protocol, including traceroute6, tracepath,
tracepath6, ping, ping6 and arping.

%post -n iputils-ping
# iputils-ping - postinst
#!/bin/sh
	update-alternatives --install /bin/ping ping /bin/ping.iputils 100


%postun -n iputils-ping
# iputils-ping - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping /bin/ping.iputils
fi

%post -n iputils-ping6
# iputils-ping6 - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/ping6 ping6 /usr/bin/ping6.iputils 100


%postun -n iputils-ping6
# iputils-ping6 - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  ping6 /usr/bin/ping6.iputils
fi

%post -n iputils-arping
# iputils-arping - postinst
#!/bin/sh
	update-alternatives --install /usr/sbin/arping arping /usr/sbin/arping.iputils 100


%postun -n iputils-arping
# iputils-arping - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  arping /usr/sbin/arping.iputils
fi

%post -n iputils-traceroute6
# iputils-traceroute6 - postinst
#!/bin/sh
	update-alternatives --install /usr/bin/traceroute6 traceroute6 /usr/bin/traceroute6.iputils 100


%postun -n iputils-traceroute6
# iputils-traceroute6 - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
	update-alternatives --remove  traceroute6 /usr/bin/traceroute6.iputils
fi

%files
%defattr(-,-,-,-)

%files -n iputils-dbg
%defattr(-,-,-,-)
%dir "/bin"
%dir "/usr"
%dir "/bin/.debug"
"/bin/.debug/ping.iputils"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/arping.iputils"
%dir "/usr/src/debug"
%dir "/usr/src/debug/iputils"
%dir "/usr/src/debug/iputils/s20121221-r0"
%dir "/usr/src/debug/iputils/s20121221-r0/iputils-s20121221"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/in6_flowlabel.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/arping.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/SNAPSHOT.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping_common.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6_niquery.h"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/tracepath6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/ping6.c"
"/usr/src/debug/iputils/s20121221-r0/iputils-s20121221/traceroute6.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/traceroute6.iputils"
"/usr/bin/.debug/tracepath"
"/usr/bin/.debug/ping6.iputils"
"/usr/bin/.debug/tracepath6"

%files -n iputils-dev
%defattr(-,-,-,-)

%files -n iputils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/tracepath.8"
"/usr/share/man/man8/traceroute6.8"
"/usr/share/man/man8/arping.8"
"/usr/share/man/man8/ping.8"

%files -n iputils-ping
%defattr(-,-,-,-)
%dir "/bin"
"/bin/ping.iputils"

%files -n iputils-ping6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/ping6.iputils"

%files -n iputils-arping
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
"/usr/sbin/arping.iputils"

%files -n iputils-tracepath
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/tracepath"

%files -n iputils-tracepath6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/tracepath6"

%files -n iputils-traceroute6
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/traceroute6.iputils"

